#!/bin/sh
PKGVER=4.5
DOCBOOK=./etc/xml/docbook
# update docbook catalog
if [ ! -e $DOCBOOK ]; then
	xmlcatalog --noout --create $DOCBOOK
fi &&
xmlcatalog --noout --add "public" \
	"-//OASIS//DTD DocBook XML V$PKGVER//EN" \
	"http://www.oasis-open.org/docbook/xml/$PKGVER/docbookx.dtd" \
	$DOCBOOK &&
xmlcatalog --noout --add "public" \
	"-//OASIS//DTD DocBook XML CALS Table Model V$PKGVER//EN" \
	"file:///usr/share/xml/docbook/xml-dtd-$PKGVER/calstblx.dtd" \
	$DOCBOOK &&
xmlcatalog --noout --add "public" \
	"-//OASIS//DTD XML Exchange Table Model 19990315//EN" \
	"file:///usr/share/xml/docbook/xml-dtd-$PKGVER/soextblx.dtd" \
	$DOCBOOK &&
xmlcatalog --noout --add "public" \
	"-//OASIS//ELEMENTS DocBook XML Information Pool V$PKGVER//EN" \
	"file:///usr/share/xml/docbook/xml-dtd-$PKGVER/dbpoolx.mod" \
	$DOCBOOK &&
xmlcatalog --noout --add "public" \
	"-//OASIS//ELEMENTS DocBook XML Document Hierarchy V$PKGVER//EN" \
	"file:///usr/share/xml/docbook/xml-dtd-$PKGVER/dbhierx.mod" \
	$DOCBOOK &&
xmlcatalog --noout --add "public" \
	"-//OASIS//ELEMENTS DocBook XML HTML Tables V$PKGVER//EN" \
	"file:///usr/share/xml/docbook/xml-dtd-$PKGVER/htmltblx.mod" \
	$DOCBOOK &&
xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook XML Notations V$PKGVER//EN" \
	"file:///usr/share/xml/docbook/xml-dtd-$PKGVER/dbnotnx.mod" \
	$DOCBOOK &&
xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook XML Character Entities V$PKGVER//EN" \
	"file:///usr/share/xml/docbook/xml-dtd-$PKGVER/dbcentx.mod" \
	$DOCBOOK &&
xmlcatalog --noout --add "public" \
	"-//OASIS//ENTITIES DocBook XML Additional General Entities V$PKGVER//EN" \
	"file:///usr/share/xml/docbook/xml-dtd-$PKGVER/dbgenent.mod" \
	$DOCBOOK &&
xmlcatalog --noout --add "rewriteSystem" \
	"http://www.oasis-open.org/docbook/xml/$PKGVER" \
	"file:///usr/share/xml/docbook/xml-dtd-$PKGVER" \
	$DOCBOOK &&
xmlcatalog --noout --add "rewriteURI" \
	"http://www.oasis-open.org/docbook/xml/$PKGVER" \
	"file:///usr/share/xml/docbook/xml-dtd-$PKGVER" \
	$DOCBOOK

# update xml catalog
CATALOG=./etc/xml/catalog
if [ ! -e $CATALOG ]; then
	xmlcatalog --noout --create $CATALOG
fi &&
xmlcatalog --noout --add "delegatePublic" \
	"-//OASIS//ENTITIES DocBook XML" \
	"file:///etc/xml/docbook" \
	$CATALOG &&
xmlcatalog --noout --add "delegatePublic" \
	"-//OASIS//DTD DocBook XML" \
	"file:///etc/xml/docbook" \
	$CATALOG &&
xmlcatalog --noout --add "delegateSystem" \
	"http://www.oasis-open.org/docbook/" \
	"file:///etc/xml/docbook" \
	$CATALOG &&
xmlcatalog --noout --add "delegateURI" \
	"http://www.oasis-open.org/docbook/" \
	"file:///etc/xml/docbook" \
	$CATALOG
	
# compatibility settings for earlier versions
for DTDVERSION in 4.1.2 4.2 4.3 4.4
do
  xmlcatalog --noout --add "public" \
	"-//OASIS//DTD DocBook XML V$DTDVERSION//EN" \
	"http://www.oasis-open.org/docbook/xml/$DTDVERSION/docbookx.dtd" \
	$DOCBOOK
  xmlcatalog --noout --add "rewriteSystem" \
	"http://www.oasis-open.org/docbook/xml/$DTDVERSION" \
	"file:///usr/share/xml/docbook/xml-dtd-$PKGVER" \
	$DOCBOOK
  xmlcatalog --noout --add "rewriteURI" \
	"http://www.oasis-open.org/docbook/xml/$DTDVERSION" \
	"file:///usr/share/xml/docbook/xml-dtd-$PKGVER" \
	$DOCBOOK
  xmlcatalog --noout --add "delegateSystem" \
	"http://www.oasis-open.org/docbook/xml/$DTDVERSION/" \
	"file:///etc/xml/docbook" \
	$CATALOG
  xmlcatalog --noout --add "delegateURI" \
	"http://www.oasis-open.org/docbook/xml/$DTDVERSION/" \
	"file:///etc/xml/docbook" \
	$CATALOG
done
